> For the complete documentation index, see [llms.txt](https://docs.reviactyl.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.reviactyl.app/application-api/database.md).

# Database

## GET /servers/{server}/databases

> Return a listing of all databases currently available to a single\
> server

```json
{"openapi":"3.1.0","info":{"title":"Reviactyl","version":"0.0.1"},"servers":[{"url":"https://reviactyl.test/api/application"}],"paths":{"/servers/{server}/databases":{"get":{"operationId":"application.servers.databases","summary":"Return a listing of all databases currently available to a single\nserver","tags":["Database"],"parameters":[{"name":"server","in":"path","required":true,"description":"The server ID","schema":{"type":"integer"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{}}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}},"components":{"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}}}
```

## POST /servers/{server}/databases

> Create a new database on the Panel for a given server

```json
{"openapi":"3.1.0","info":{"title":"Reviactyl","version":"0.0.1"},"servers":[{"url":"https://reviactyl.test/api/application"}],"paths":{"/servers/{server}/databases":{"post":{"operationId":"database.store","summary":"Create a new database on the Panel for a given server","tags":["Database"],"parameters":[{"name":"server","in":"path","required":true,"description":"The server ID","schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreServerDatabaseRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}},"components":{"schemas":{"StoreServerDatabaseRequest":{"type":"object","properties":{"database":{"type":"string","minLength":1,"maxLength":48},"remote":{"type":"string","pattern":"^[0-9%.]{1,15}$"},"host":{"type":"integer"}},"required":["database","remote","host"],"title":"StoreServerDatabaseRequest"}},"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}}}
```

## GET /servers/{server}/databases/{database}

> Return a single server database

```json
{"openapi":"3.1.0","info":{"title":"Reviactyl","version":"0.0.1"},"servers":[{"url":"https://reviactyl.test/api/application"}],"paths":{"/servers/{server}/databases/{database}":{"get":{"operationId":"application.servers.databases.view","summary":"Return a single server database","tags":["Database"],"parameters":[{"name":"server","in":"path","required":true,"description":"The server ID","schema":{"type":"integer"}},{"name":"database","in":"path","required":true,"description":"The database ID","schema":{"type":"integer"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{}}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}},"components":{"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}}}
```

## DELETE /servers/{server}/databases/{database}

> Handle a request to delete a specific server database from the Panel

```json
{"openapi":"3.1.0","info":{"title":"Reviactyl","version":"0.0.1"},"servers":[{"url":"https://reviactyl.test/api/application"}],"paths":{"/servers/{server}/databases/{database}":{"delete":{"operationId":"database.delete","summary":"Handle a request to delete a specific server database from the Panel","tags":["Database"],"parameters":[{"name":"server","in":"path","required":true,"description":"The server ID","schema":{"type":"integer"}},{"name":"database","in":"path","required":true,"description":"The database ID","schema":{"type":"integer"}}],"responses":{"204":{"description":"No content"},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}},"components":{"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}}}
```

## POST /servers/{server}/databases/{database}/reset-password

> Reset the password for a specific server database

```json
{"openapi":"3.1.0","info":{"title":"Reviactyl","version":"0.0.1"},"servers":[{"url":"https://reviactyl.test/api/application"}],"paths":{"/servers/{server}/databases/{database}/reset-password":{"post":{"operationId":"database.resetPassword","summary":"Reset the password for a specific server database","tags":["Database"],"parameters":[{"name":"server","in":"path","required":true,"description":"The server ID","schema":{"type":"integer"}},{"name":"database","in":"path","required":true,"description":"The database ID","schema":{"type":"integer"}}],"responses":{"204":{"description":"No content","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"minItems":0,"maxItems":0}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}},"components":{"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.reviactyl.app/application-api/database.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
